#
# spec file for package kio-gdrive
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
Name:           kio-gdrive
Version:        1.1.2
Release:        1.1
Summary:        Google Drive KIO-slave for KDE applications
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:  extra-cmake-modules
BuildRequires:  ki18n-devel >= 5.14.0
BuildRequires:  kio-devel >= 5.14.0
BuildRequires:  libkgapi-devel >= 5.3.1
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  cmake(Qt5Keychain) >= 0.6.0
BuildRequires:  pkgconfig(Qt5Network) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
# Used by the .desktop file
Recommends:     dolphin
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with lang}
%lang_package
%endif

%description
Google Drive KIO-slave for KDE applications.
KIO GDrive requires a KIO-enabled file manager at runtime,
otherwise there is no way to setup a Google Drive account.
This can be Dolphin or Gwenview or Konqueror.

%prep
%setup -q

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %if %{with lang}
  %find_lang kio5_gdrive %{name}.lang
  %if 0%{?suse_version} > 1320 || 0%{?sle_version} >= 120300
  %kf5_find_htmldocs
  %else
  # %%kf5_find_htmldocs is only defined since Leap 42.3
  CURDIR=`pwd`
  pushd %{buildroot}%{_kf5_htmldir}
  for i in *; do
    if ! [ -d "/usr/share/locale/${i}" ]; then
        echo "Removing unsupported translation %{_kf5_htmldir}/${i}"
        rm -rf "$i"
    elif [ "$i" != "en" ]; then
        echo "%doc %lang($i) %{_kf5_htmldir}/${i}" >> $CURDIR/%{name}.lang
    fi
  done
  popd
  %endif
  %endif

%files
%defattr(-,root,root)
%doc COPYING README.md README.packagers
%doc %lang(en) %{_kf5_htmldir}/en/kioslave5/gdrive/
%{_kf5_plugindir}/kf5/
%dir %{_datadir}/remoteview
%{_datadir}/remoteview/gdrive-network.desktop

%if %{with lang}
%files lang -f %{name}.lang
%defattr(-,root,root,-)
%endif

%changelog
* Fri May 19 2017 wbauer@tmo.at
- Update to 1.1.2
  * Updated translations, including translated documentation which
    was previously missing.
* Tue Feb 14 2017 wbauer@tmo.at
- Update to 1.1.1
  * Fixed wrong write permissions in the top-level accounts folder.
* Thu Jan 26 2017 fabian@ritter-vogt.de
- Update to 1.1.0
  * Feature release
  * No changelog, see https://eang.it/kio-gdrive-1-1-released/
* Wed Jan 11 2017 wbauer@tmo.at
- Update to 1.0.5
  * Some translation updates
* Sat Nov 12 2016 wbauer@tmo.at
- Update to 1.0.4
  * Fixed an issue that would make some files hidden (kde#371954)
  * Added TryExec key in the .desktop file.
* Mon Oct 17 2016 wbauer@tmo.at
- Update to 1.0.3
  * Stop trashing all account files on account removal
* Fri Oct  7 2016 wbauer@tmo.at
- Update to 1.0.2
  * Fix copy-pasting from gdrive:// URLs to local disk (kde#369619)
* Sun Oct  2 2016 hrvoje.senjan@gmail.com
- Update to 1.0.1
  * Fix broken QUrl construction (kde#367988, kde#369581)
* Fri Sep 30 2016 fabian@ritter-vogt.de
- Update to stable version 1.0.0
